import request from '@/utils/request'

// 查询配料清单列表
export function listFeedList(query) {
  return request({
    url: '/feed/FeedList/list',
    method: 'get',
    params: query
  })
}

// 查询配料清单详细
export function getFeedList(id) {
  return request({
    url: '/feed/FeedList/' + id,
    method: 'get'
  })
}

// 新增配料清单
export function addFeedList(data) {
  return request({
    url: '/feed/FeedList',
    method: 'post',
    data: data
  })
}

// 修改配料清单
export function updateFeedList(data) {
  return request({
    url: '/feed/FeedList',
    method: 'put',
    data: data
  })
}

// 删除配料清单
export function delFeedList(id) {
  return request({
    url: '/feed/FeedList/' + id,
    method: 'delete'
  })
}
